<?php
/*
 * Confirm Membership
 * ------------------
 *
 * This function is called after a user receives
 * an email requesting them to confirm their membership
 * (i.e. that their email address is valid)
 *
 * (C)2003 Stewart Smith.
 * Licensed under the GPL.
 *
 */

$id = $_GET['id']+0; // id is parameter, using GET method

$sql = "select members.id as id from members,org_members where ".
       "org_members.org_id=".$config['org_id']." and ".
       "members.id = org_members.member_id and ".
       "org_members.member_type_id = (select id from member_types where type='Applied') and members.id = ".$id;

my_syslog(LOG_DEBUG,$sql);

$result = $dbh->query($sql);
if (DB::isError($result)) {
  my_syslog(LOG_INFO,"1 ".$result->getMessage());
  $message = 'Cannot confirm this ID';
}
else
{
  $row =  $result->fetchrow(DB_FETCHMODE_OBJECT);
  my_syslog(LOG_DEBUG,"About to change ".$row->id." to Pending ($id) (".($row->id==$id).")");
  if($row->id==$id)
    {
      $sql = 'insert into org_members (org_id,member_id,member_type_id,start_date,expiry) values ('.$config['org_id'].','.$id.",(select id from member_types where type='Pending'),now(),now()+'1year')";
      my_syslog(LOG_DEBUG,$sql);
      $result = $dbh->query($sql);
      if (DB::isError($result)) {
	my_syslog(LOG_INFO,$result->getMessage());
      }
      $sql = 'select * from members where id='.$id;
      $result = $dbh->query($sql);
      if (DB::isError($result)) {
	my_syslog(LOG_INFO,$result->getMessage());
      }
      $row = $result->fetchrow(DB_FETCHMODE_OBJECT);
      
      mail("membership-admin@lists.linux.org.au,".$row->email,
	   "Application for Membership Form",
	   "Thank you for applying to become a member of Linux Australia. Attached
are the details you entered when you signed up. Shortly the committee
will either approve (or reject) your application and you will be
notified via email when this occurs.


-----------------
Application for Membership
Linux Australia Incorporated
(incorporated under the Associations Incorporation Act 1984)



I,  ".$row->first_name.' '.$row->middle_name.' '.$row->last_name."
    (full name of applicant)



of  ".$row->address1."\n
    ".$row->address2."\n
    ".$row->suburb."  ".$row->postcode."\n
    ".$row->state."\n
    ".$row->country."\n
    (address)


hereby apply to become a member of the abovenamed incorporated association.
In the event of my admission as a member, I agree to be bound by the rules
of the association for the time being in force.




..............................
Signature of applicant



".date ("l dS of F Y h:i:s A")."
Date
"
	   );
      $message = 'Confirmed Application';
    }
  else
    {
      my_syslog(LOG_DEBUG,"Cannot Confirm $id - $row->id");
      $message = 'Cannot confirm this ID';
    }
}
?>
