<?php
/*
  Signup Logic
  ------------

  empty form   ----> filled in form (is it right?)-> entered into DB
  page=signup  ====> function=signup_verify ======>  function=signup

  * (C) 2003 Stewart Smith
  * Distributed under the GPL.
 */


  $title = "Linux Australia Membership Signup";
  headers($title);

function textfield($description, $name)
{
   return '<p class="field"><label for="'.$name.'">'.$description.'</label><input type="text" id="'.$name.'" name="'.$name.'" value="'.$_POST[$name].'" /></p>'."\n";
}

function radiogroup($desc,$name,$items)
{
  $retval = "<p class=\"field\"><label for=\"$name\">$desc</label> ";
  foreach($items as $item)
  {
     $retval.="<input type=\"radio\" name=\"$name\" value=\"$item\"";
     if($_POST[$name]==$item)
       $retval.=" checked=\"checked\"";
     $retval.="/>$item\n";
  }
  $retval.="</p>";
  return $retval;
}
?>

<h1><?=$title?></h1>

<?php
if($_POST['function']=='signup_validate')
{
?>
<h2>Confirm Membership Details</h2>
<p>We require that you confirm your details before continuing. Please ensure your details are correct and that required fields (indicated by bold type) are filled in.</p>
<?php
}
?>
<h2>Membership Conditions/Responsibilities</h2>

<ul>
<li>In the interest of being a transparent and open organisation, a list of first and last names of members will be made public. By becoming a member, you agree to have this information made public.</li>
<li>Your email address will be used as the method to contact you unless you specifically notify the secretary (<a href="mailto:secretary@linux.org.au">secretary@linux.org.au</a>)</li>
<li>For the application to be constitutionally valid, the following process is used:</li>
<ol>
<li>You fill out this form</li>
<li>You confirm the information on this form</li>
<li>You confirm your application via email, which transmits the appropriate form to the Linux Australia Committee</li>
<li>A member of the committee nominates you for membership and can accept your nomination</li>
<li>You become a member, and are notified via email.</li>
</ol>
</ul>

<h2>Details</h2>

<?php
if($_POST['function']!='signup')
{
  ?>
  
  <form method="post" action="<?=$PHP_SELF."?page=signup"?>">

  <?php
  if($_POST['function']=='signup_validate')
  {?>
   <input type="hidden" name="function" value="signup"/>
   <?php }
  else
  {?>
   <input type="hidden" name="function" value="signup_validate"/>
   <?php
  }
  
  print '<p><b>Bold</b> fields are compulsory</p>'.
    textfield('<b>First Name:</b>','first_name').
    textfield('Middle Name/Initial:','middle_name').
    textfield('<b>Surname:</b>','last_name').
    radiogroup('Sex: ','Sex',array('Male','Female')).'<br/>'.
    textfield('<b>Address 1:</b>','address1').
    textfield('Address 2:','address2').
    textfield('<b>Suburb:</b>','suburb').
    textfield('<b>Postcode:</b>','postcode').
    textfield('State:','state').
    textfield('<b>Country:</b>','country').
    textfield('<b>Email Address:</b>','email').
    textfield('Home Phone:','phone_home').
    textfield('Mobile Phone:','phone_mobile');
  ?>
  <input type="submit" name="submit" value="Signup" />

  </form>

  <?php
}
else
{
  print '<p>You submitted the following information:</p>'.
    '<ul>'.
    '<li><b>First Name: </b>'.$_POST['first_name'].'</li>'.
    '<li><b>Middle Name/Initial: </b>'.$_POST['middle_name'].'</li>'.
    '<li><b>Surname: </b>'.$_POST['last_name'].'</li>'.
    '<li><b>Sex: </b>'.$_POST['Sex'].'</li>'.
    '<li><b>Address 1: </b>'.$_POST['address1'].'</li>'.
    '<li><b>Address 2: </b>'.$_POST['address2'].'</li>'.
    '<li><b>Suburb: </b>'.$_POST['suburb'].'</li>'.
    '<li><b>Postcode: </b>'.$_POST['postcode'].'</li>'.
    '<li><b>State: </b>'.$_POST['state'].'</li>'.
    '<li><b>Country: </b>'.$_POST['country'].'</li>'.
    '<li><b>Email Address: </b>'.$_POST['email'].'</li>'.
    '<li><b>Home Phone: </b>'.$_POST['phone_home'].'</li>'.
    '<li><b>Mobile Phone: </b>'.$_POST['phone_mobile'].'</li>'.
    '</ul>';

  print '<p>You will shortly receive an email confirming your application for membership. Your membership will become active once confirmed by the secretary and you shall receive email notification of this.</p>';
}